List Models (Gemini format)
curl --request GET \
--url https://api.veryfront.com/ai/v1beta/models \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veryfront.com/ai/v1beta/models"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veryfront.com/ai/v1beta/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"models": [
{
"name": "<string>",
"displayName": "<string>",
"veryfront": {
"processing": "eu",
"processing_label": "EU (EEA + Switzerland data zone)"
},
"description": "<string>"
}
],
"nextPageToken": "<string>"
}{
"error": {
"code": 123,
"message": "<string>",
"status": "<string>",
"details": [
{
"@type": "type.googleapis.com/google.rpc.ErrorInfo",
"reason": "<string>",
"domain": "<string>"
}
],
"veryfront": {}
}
}{
"error": {
"code": 123,
"message": "<string>",
"status": "<string>",
"details": [
{
"@type": "type.googleapis.com/google.rpc.ErrorInfo",
"reason": "<string>",
"domain": "<string>"
}
],
"veryfront": {}
}
}{
"error": {
"code": 123,
"message": "<string>",
"status": "<string>",
"details": [
{
"@type": "type.googleapis.com/google.rpc.ErrorInfo",
"reason": "<string>",
"domain": "<string>"
}
],
"veryfront": {}
}
}{
"error": {
"code": 123,
"message": "<string>",
"status": "<string>",
"details": [
{
"@type": "type.googleapis.com/google.rpc.ErrorInfo",
"reason": "<string>",
"domain": "<string>"
}
],
"veryfront": {}
}
}{
"error": {
"code": 123,
"message": "<string>",
"status": "<string>",
"details": [
{
"@type": "type.googleapis.com/google.rpc.ErrorInfo",
"reason": "<string>",
"domain": "<string>"
}
],
"veryfront": {}
}
}List Models (Gemini format)
Lists the Veryfront catalog’s Gemini models in Google’s list format. Never forwarded to a vendor.
GET
/
ai
/
v1beta
/
models
List Models (Gemini format)
Authorizations
bearerAuthapiKeyAuth
Use a JWT bearer token or a Veryfront API key in the Authorization header.
Headers
Project UUID or slug used to attribute billing finalization.
Required string length:
1 - 255Project ID used to attribute billing finalization.
Required string length:
1 - 255Project slug used to attribute billing finalization.
Required string length:
1 - 255Query Parameters
Maximum number of models to return.
Required range:
x <= 1000Example:
50
The nextPageToken of the previous page.
Minimum string length:
1